<html>
	<head>
		<title>API description : {{ name }}</title>
		<meta charset="utf-8">
        <meta name="fragment" content="!">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link type="text/css" rel="stylesheet" href="/css/styles_api.css" />
	</head>
	
	<body>
		<h1>API description of {{ name }} class.</h1>
		<a class="home_link" href="/api">Home</a><br />
		<div class="api_doc">{{ class_description | nl2br }}</div>
		{% for doc in docs %}
			<div class="api_doc">
				<h2 class="api_doc_{{ doc.method }}">[{{ doc.method }}] {{ doc.name }}</h2>
				<div class="description"> {{ doc.description }}</div>
				<h3>Params: </h3>
				{% for param in doc.params %}
					<div class="args">{{ param }}</div>
				{% endfor %}
				<br />
				<h3>Return: </h3>
				{% for return in doc.returns %}
					<div class="results">{{ return }}</div>
				{% endfor %}
			</div>
		{% else %}
		    No help found
		{% endfor %}
	</body>
</html>
